summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-10 01:21:12 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-10 01:21:12 +0100
commitc16b28efad439fed7a5462b2deaf0a63594d3212 (patch)
treea12b5d88e5adb528e7f19e51f5efb2399a4c3507 /script
parent32dcf9e51e8d5c107d8a27c647924a1b1e04e1eb (diff)
build/release/src: re-create symlinks, don't copy
if you copy a symlink, you create a whole new file with the contents of what that symlink points to. what we need to do instead is re-create the symlinks. this is relevant for all symlinks to the main lbmk script, from the main directory of lbmk.git. this avoids there being multiple copies of the main lbmk script, in release archives. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/build/release/src13
1 files changed, 10 insertions, 3 deletions
diff --git a/script/build/release/src b/script/build/release/src
index 7b1e4fca..3f0b9691 100755
--- a/script/build/release/src
+++ b/script/build/release/src
@@ -30,9 +30,9 @@ simple_fetch_list="flashrom grub memtest86plus me_cleaner uefitool"
simple_fetch_list="${simple_fetch_list} bios_extract biosutilities"
dirlist="config util script include"
-
-filelist="lbmk modify build README.md COPYING update version handle"
-filelist="${filelist} versiondate projectname checkgit checkversion"
+linklist="build update handle" # symlinks in main directory, to script: lbmk
+filelist="lbmk README.md COPYING version versiondate projectname checkgit"
+filelist="${filelist} checkversion"
version="version-unknown"
versiondate="version-date-unknown"
@@ -123,6 +123,13 @@ copy_files()
cp "${i}" "${srcdir}/" || \
err "copy_files: !cp ${i} ${srcdir}/"
done
+ (
+ cd "${srcdir}/" || err "copy_files: can't enter dir: ${srcdir}/"
+ for i in ${linklist}; do
+ ln -s lbmk "${i}" || \
+ err "copy_files: cannot create symlink: ${i} -> lbmk"
+ done
+ )
}
purge_files()